import { ReactElement } from "react";
import { FormProps } from "react-jsonschema-form";
import "bootstrap/dist/css/bootstrap.min.css";
import "./index.css";
declare type JsonSchema = FormProps<any>["schema"];
export interface CustomJsonSchema extends JsonSchema {
    name: string;
    properties: {
        [k: string]: JsonSchema;
    };
}
interface JsonFormProps<T> {
    formData?: Array<T>;
    formSchema: Array<CustomJsonSchema>;
    onSelectTab?: (index: number) => void;
    onSubmit: (formData: T) => void;
}
export declare function JsonSchemaForm<T>(props: JsonFormProps<T>): ReactElement;
export {};
